# BioFormatsImageInfo
Metadata extraction tool based on Bio-Formats

### Compile
```shell
mvn compile
```

### run
```shell
mvn exec:java -Dexec.mainClass=jp.riken.neurodata.tools.BioFormatsImageInfo -Dexec.args="'[path to image file]'"
```

### make jar package
```shell
mvn package
```

### run by jar
```shell
java -jar target\bioformats-imageinfo-1.0.0.jar [path to image file]
```

### run by class
```java
import java.util.LinkedHashMap;
import java.util.Map;
import jp.riken.neurodata.tools.BioFormatsImageInfo;
import jp.riken.neurodata.tools.BioFormatsException;

String path = "[path to image file]";
String format = "";
Map<String, Object> metadata = new LinkedHashMap<String, Object>();

try {
  format = BioFormatsImageInfo.readMetadata(path, metadata));
} catch (BioFormatsImageException e) {
  // error occured
  e.printStackTrace();
}
```
